// JavaScript Document
function getSelectedRadio(obj)
{
	for (var i = 0; i < obj.length; i++)
		if (obj[i].checked)
			return obj[i].value;
	return null;
}
function showMessage(title, text)
{
	var mess = document.getElementById('message');
	var messageTimer = setInterval( function()
	{
	   var opacity = parseFloat(getComputedStyle(mess).opacity);
	   opacity += 0.02;
	   if (opacity >= 1)
	   		clearInterval(messageTimer);
	   mess.style.opacity = opacity; 
	}, 10);
	/*var fc = mess.firstChild;
	var lc = mess.lastChild;
	if (fc.nodeType != Node.ELEMENT_NODE)
	   fc = fc.nextSibling;
	 if (lc.nodeType != Node.ELEMENT_NODE)
	   lc = lc.previousSibling;*/
	var divs = mess.getElementsByTagName('div');
	var fc = divs[0];
	var lc = divs[1];
	fc.innerHTML = title;
	lc.innerHTML = text;
	//mess.style.display = 'block';
}
function hideMessage()
{
	var mess = document.getElementById('message');
	var messageTimer = setInterval( function()
	{
	   var opacity = parseFloat(getComputedStyle(mess).opacity);
	   opacity -= 0.02;
	   if (opacity <= 0)
	   		clearInterval(messageTimer);
	   mess.style.opacity = opacity; 
	}, 10);
	//mess.style.display = 'none';
}
window.onload = function()
{
	var msg = document.getElementById('message');
	msg.getElementsByClassName('close')[0].firstChild.onclick = hideMessage;
	var form = document.forms.register;
	form.onsubmit = function()
	{
		var reg = /^[\w\-\.]+@([a-z0-9\-]+\.)+[a-z]{2,10}$/i;
		var login = form.login;
		var psw1 = form.psw1;
		var psw2 = form.psw2;
		var country = form.country;
		var errors = [];
		var gender = form.gender;
		var errorString;
		if (reg.test(login.value))
			login.className = '';
		else
		{
			login.className = 'error';
			errors.push('Ошибка ввода логина');
		}
		if (psw1.value != psw2.value)
		{
			psw1.className = psw2.className = 'error';
			errors.push("Пароли не совпадают");
		} else
		{
			psw1.className = psw2.className = '';
		}
		if (country.value == "")
		{
			country.className = 'error';
			errors.push('Страна не выбрана');
		} else
		{
			country.className = '';
		}
		if (getSelectedRadio(gender) == null)
		{
			gender[0].parentNode.parentNode.className = 'error';
			errors.push('Пол не выбран');
		} else
		  gender[0].parentNode.parentNode.className = '';
		errorString = errors.join('<br />');
		if (errors.length > 0)
		{
			showMessage('Ошибка', errorString);
		} else
		   hideMessage();
		return false;
	}
	var oldX, oldY, isPush = false;
	msg.getElementsByClassName('h')[0].onmousedown = function(event)
	{
		event = event || window.event;
		oldX = event.pageX;
		oldY = event.pageY;
		isPush = true;
	}
	var mouseUp = function(event)
	{
		isPush = false;		
	}
	var mouseMove = function(event)
	{
		if (!isPush) return;
		event = event || window.event;
		var curX = event.pageX;
		var curY = event.pageY;
		var style = window.ActiveXObject ? msg.currentStyle : getComputedStyle(msg);
		msg.style.left = (parseFloat(style.left) + curX - oldX) + "px";
		msg.style.top = (parseFloat(style.top)  + curY - oldY) + "px";
		//console.log(msg.style.top);
		oldX = curX;
		oldY = curY;
	}
	msg.getElementsByClassName('h')[0].onmouseup = mouseUp;
	document.body.onmouseup = mouseUp;
	msg.getElementsByClassName('h')[0].onmousemove = mouseMove;
	document.body.onmousemove = mouseMove;
}