// JavaScript Document	;

console.info('%s numbers %d, %d and %d',"hello",1,2,3); // hello numbers 1, 2 and 3
console.warn("%s numbers %d, %d and %d","hello",1,2,3);
console.error("%s numbers %d, %d and %d","hello",1,2,3);
var popupTimer = null;
var popupObj = null;
function colorize(obj, color1, color2)
{
   var colors = ['red', 'green', 'blue'];
   var rows = obj.getElementsByTagName('TR');
   var count = rows.length;
   var startColor = { 'red'   : parseInt(color1.charAt(1) + color1.charAt(2), 16),
   					  'green' : parseInt(color1.charAt(3) + color1.charAt(4), 16),
					  'blue'  : parseInt(color1.charAt(5) + color1.charAt(6), 16)};
   var stopColor  = { 'red'   : parseInt(color2.charAt(1) + color2.charAt(2), 16),
   					  'green' : parseInt(color2.charAt(3) + color2.charAt(4), 16),
					  'blue'  : parseInt(color2.charAt(5) + color2.charAt(6), 16)}; 
 
   var diffColor = {};
   for(var i = 0; i < colors.length; i++)
   {
	   var key = colors[i];
	   diffColor[key] = (stopColor[key] - startColor[key]) / count;
   }
   for(var k = 0; k < count; k++)
   {
	   var newColor = {};
	   for(var i = 0; i < colors.length; i++)
	   {
		  var key = colors[i];
	   	  newColor[key] = parseInt(startColor[key] + diffColor[key] * k);
	   }
	   var cells = rows[k].getElementsByTagName('TD');
	
	   var rgbColor =  'rgb(' + newColor['red'] + ',' + newColor['green'] + ',' + newColor['blue'] + ')';
	   for(var j = 0; j < cells.length; j++)
	      cells[j].style.backgroundColor = rgbColor; 
   }
   
}
function popupShowStep()
{
	var opacity = 
	  parseFloat(getComputedStyle(popupObj).opacity);
	opacity += 0.03;
	popupObj.style.opacity = opacity;
	if (opacity >= 1)
	{
	   clearInterval(popupTimer);
	   popupTimer = null;
	}
}

function popupHideStep()
{
	var opacity = 
	  parseFloat(getComputedStyle(popupObj).opacity);
	opacity -= 0.03;
	popupObj.style.opacity = opacity;
	if (opacity <= 0)
	{
	   clearInterval(popupTimer);
	   popupTimer = null;
	}
}


function popupShow()
{
	if (popupTimer != null) return;
	popupTimer = setInterval(popupShowStep, 20);
	//document.getElementById('popup').style.display = 'block';
}

function popupHide()
{
	if (popupTimer != null) return;
    popupTimer = setInterval(popupHideStep, 20);
}
function myMove(obj, dx, dy)
{
	var style = getComputedStyle(obj);
	var x = parseFloat(style.left);
	var y = parseFloat(style.top);
	x += dx;
	y += dy;
	obj.style.left = x + "px";
	obj.style.top = y + "px";
}
window.onload = function ()
{
	popupObj = document.getElementById('popup');
	var popup = document.getElementById('popup');
	var mouseX = null, mouseY = null;
	var mouseDown = false;
	var popupMouseDown = function(event)
	{
		event = event || window.event;
		mouseX = event.pageX;
		mouseY = event.pageY;
		mouseDown = true;
	}
	var popupMouseMove = function(event)
	{
		if (!mouseDown) return;
		event = event || window.event;
		var newMouseX = event.pageX;
		var newMouseY = event.pageY;
		var dx = newMouseX - mouseX;
		var dy = newMouseY - mouseY;
		myMove(popupObj, dx, dy);
		mouseX = newMouseX;
		mouseY = newMouseY;
	}
	var popupMouseUp = function(event)
	{
		mouseDown = false;

	}
	popupObj.onmousedown = popupMouseDown;
	popupObj.onmousemove = popupMouseMove;
	popupObj.onmouseup = popupMouseUp;
	document.body.onmousemove = popupMouseMove;
	document.body.onmouseup = popupMouseUp;
	var popupclose = function()
	{
		popupHide();
	}
	popup.getElementsByClassName('close')[0].onclick = popupclose;
	popup.getElementsByClassName('ok')[0].onclick = popupclose;
	var elem = document.getElementById('regFormSubmit');
	elem.onclick = function ()
	{
		var login = document.forms['register'].login;
		var inputs = document.forms['register'].getElementsByTagName('INPUT');
		var gender = document.forms['register'].gender;
		var genderValue = null;
		var langs = null;
		var passwords = [];
		var errors = [];
		for (var i = 0; i < inputs.length; i++)
		   if (inputs[i].getAttribute('name') == 'password[]')
		     passwords.push(inputs[i]);
		var error = false;
		var reg = /^[\w\.\-]+@([\da-z\-]+\.)+[\da-z\-]{2,8}$/i;
		var popup = document.getElementById('popup');
		if (!reg.test(login.value))
		{
			login.className = 'error';
			errors.push("Логин(Email) не корректен");
			error = true;
		} else
			login.className = '';
		if (passwords[0].value.length < 3)	
		{	
			error = true;
			passwords[0].className = passwords[1].className = 'error';
			errors.push("Длина пароля не может быть < 3 символов");
		} else 
		if (passwords[0].value != passwords[1].value)		
		{
			error = true;
			passwords[0].className = passwords[1].className = 'error';	
			errors.push("Пароли не совпадают");	
		} else 
			passwords[0].className = passwords[1].className = '';
		for (var i = 0; i < gender.length; i++)
		{
			 if (gender[i].checked)
			    genderValue = gender[i].value;
		}
		if (genderValue == null)
		{
			for (var i = 0; i < gender.length; i++)
			 	gender[i].parentNode.className = 'error';
			errors.push("Пол не выбран");	
		} else
			for (var i = 0; i < gender.length; i++)
			 	gender[i].parentNode.className = '';
		if (error)
		{
			popupObj.getElementsByClassName('body')[0].innerHTML = errors.join("<br />");
			popupShow();
		}
		return !error;
	}
	document.getElementById('regFormPhoneAdd').onclick = function()
	{
		var newInput = document.createElement('INPUT');
		var newBr = document.createElement('BR');
		newInput.setAttribute('type', 'text');
		newInput.setAttribute('name', 'phones[]');
		var parent = this.parentNode;
		parent.insertBefore(newInput, this);
		parent.insertBefore(newBr, newInput);
	}
	document.getElementById('photo').ondragstart = function () {return false;}
	document.getElementById('photo').ondropdown = function () {return false;}
	colorize(document.forms['register'], '#FD99DF', '#00DF2D');
}
